#ifndef SI117X_SYS_OUT
#define SI117X_SYS_OUT

#ifdef __cplusplus
extern "C" {
#endif


#include <stdint.h>
#include "si117x_functions.h"


#define  SI117X_SYS_OUT_SUCCESS  0

int16_t Si117xInit(void *port, int options, HANDLE *si117x_handle);
void Si117xEnableInterrupt(void);
void Si117xDisableInterrupt(void);
void delay_10ms();
void delay_ms();


#ifdef __cplusplus
}
#endif

#endif
